X
Tap here to go to the mobile version of the site.
Your Firefox is out of date and may contain a security risk! Upgrade Firefox

Support Forum

I have problems with Firefox 19. Is it possible to download and install an earlier version?

Posted

If yes, where is the earlier version available?

Additional System Details

Installed Plug-ins

  • Shockwave Flash 11.6 r602
  • npsitesafety
  • Adobe PDF Plug-In For Firefox and Netscape 11.0.02
  • Shockwave Flash 11.5 r502
  • NPRuntime Script Plug-in Library for Java(TM) Deploy
  • Adobe Shockwave for Director Netscape plug-in, version 11.6.8.638
  • 4.1.10329.0
  • Adobe Shockwave for Director Netscape plug-in, version 11.6.1.629
  • NPWLPG
  • The plug-in allows you to open and edit files using Microsoft Office applications
  • Office Authorization plug-in for NPAPI browsers

Application

  • User Agent: Mozilla/5.0 (Windows NT 6.1; WOW64; rv:19.0) Gecko/20100101 Firefox/19.0

More Information

Tyler Downer
  • Administrator
  • Moderator
1165 solutions 6640 answers

You don't want to install an older version, as it leaves you vulnerable to many security issues. If you'd like though, you can tell us what problems you are having with 19 and we can help.

Question owner

When I type letters, numbers appear. The problem is occurring intermittently. I thought I had it solved when I disabled 3 add-ons that I downloaded today after updating to Firefox 19. Typing was normal for a while and then the problem returned. I was able to type this note by doing it in word, copying and pasting it into the browser message box.